MC68DUMP(1)

NAME
mc68dump - dump parts of an MC68000 object file

SYNOPSIS
mc68dump [-acfghlorst] [-z name] files

DESCRIPTION
The mc68dump command dumps selected parts of each of its object file arguments.

This command accepts both object files and archives of object files. It processes each file argument according to one or more of the following options:

-a  Dumps the archive header of each member of each archive file argument.

-g  Dumps the global symbols in the symbol table of a 6.0 archive.

-f  Dumps each file header.

-o  Dumps each optional header.

-h  Dumps section headers.

-s  Dumps section contents.

-r  Dumps relocation information.

-l  Dumps line number information.

-t  Dumps symbol table entries.

-z~name
    Dumps line number entries for the named function.

-c  Dumps the string table.

The following modifiers are used in conjunction with the options listed above to modify their capabilities.

-d~number
    Dumps the section number or range of sections starting at number and ending either at the last section number or number specified by +d.

+d~number
    Dumps sections in the range either beginning with first section or beginning with section specified by -d.

-n~name
    Dumps information pertaining only to the named entity. This modifier applies to -h, -s, -r, -l, and -t.

-p  Suppresses printing of the headers.

-t~index
    Dumps only the indexed symbol table entry. The -t, used in conjunction with +t, specifies a range of symbol table entries.

+t~index
    Dumps the symbol table entries in the range ending with the indexed entry. The range begins at the first symbol table entry or at the entry specified by the -t option.

-u  Underlines the name of the file for emphasis.

-v  Dumps information in symbolic representation rather than numeric (e.g., C_STATIC instead of X02). This modifier can be used with all the above options except -s and -o options of mc68dump.

-z~name,number
    Dumps line number entry or range of line numbers starting at number for the named function.

+z~number
    Dumps line numbers starting at either function name or number specified by -z, up to number specified by +z.

Blanks separating an option and its modifier are optional. The comma separating the name from the number modifying the -z option may be replaced by a blank.

The -z and -n options that take a name modifier will only work with object files that have been compiled with the dmdcc -g option.

The mc68dump command attempts to format the information it dumps in a meaningful way, printing certain information in character, hex, octal or decimal representation as appropriate.

SEE ALSO
dmdcc(1).
a.out(4), ar(4) in the UNIX System V Programer's Reference Manual.